#
# spec file for package pcp (Version 2.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf bison flex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pcp
Version:      2.2.1
Release:      64
Summary:      Performance Co-Pilot (system-level performance monitoring)
License: GPL/LGPL
URL: http://oss.sgi.com/projects/pcp
Group: Applications/System 
Source: pcp-%{version}.src.tar.bz2
Patch: pcp-%{version}.dif
BuildRoot: /tmp/pcp-%{version}/root

%description
Performance Co-Pilot (PCP) is a framework and services to support system-level performance monitoring and performance management.

Authors:
--------
    SGI OSS <owner-pcp@oss.sgi.com>

SuSE series: ap

%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
%patch
touch .census
autoconf
./configure
fi

%build
/usr/bin/make default_pcp
# Install step will attempt to pouplate the install area only if both
# DIST_ROOT and DIST_MANIFEST are not set, otherwise we assume somebody
# already done it.

%install
if [ -z "$DIST_ROOT" -a -z "$DIST_MANIFEST" ] ; then
    DIST_ROOT=$RPM_BUILD_ROOT
    DIST_MANIFEST=`pwd`/install.manifest
    export DIST_ROOT DIST_MANIFEST
    /usr/bin/make install_pcp
fi
# local setting
install -d $RPM_BUILD_ROOT/usr/sbin;
ln -sf ../../etc/init.d/pcp $RPM_BUILD_ROOT/usr/sbin/rcpcp;
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 pcp.rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.pcp
set +x
PCP_CONF=src/include/pcp.conf
export PCP_CONF
. src/include/pcp.env
sort $DIST_MANIFEST | uniq | $PCP_AWK_PROG ' 
#$1 == "d" { printf ("%%%%dir %%%%attr(%s,root,root) %s\n", $2, $5); } 
$1 == "f" { if ( match ($6, "'$PCP_VAR_DIR'/config") ||
		 match ($6, "'$PCP_SYSCONFIG_DIR'") ) {
	       printf ("%%%%config ");
	    }
	    if (match ($6, "'$PCP_MAN_DIR'") || match ($6, "'$PCP_DOC_DIR'")) {
		printf ("%%%%doc ");
	    }
	    printf ("%%%%attr(%s,root,root) %s\n", $2, $6); }
$1 == "l" { print "%attr(0777,root,root)", $3; }' > files.rpm
set -x
#

%files -f files.rpm
/var/adm/fillup-templates/rc.config.pcp
/usr/sbin/rcpcp

%pre
exit 0

%preun
if [ "$1" -eq 0 ]
then
    #
    # Stop daemons before erasing the package
    #
    if [ -f /etc/pcp.env ] ; then
	. /etc/pcp.env
	$PCP_RC_DIR/pcp stop >/dev/null 2>&1
	$PCP_RC_DIR/pmie stop >/dev/null 2>&1
	rm -f $PCP_VAR_DIR/pmns/.NeedRebuild
	rm -f $PCP_VAR_DIR/config/magic/.NeedUpdate
    fi
fi
sbin/insserv etc/init.d/
exit 0

%postun
exit 0

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.pcp
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.pcp and update by
hand."
fi
if [ -f /etc/pcp.env ] ; then
    . /etc/pcp.env
    . $PCP_SHARE_DIR/lib/rc-proc.sh
    touch $PCP_VAR_DIR/pmns/.NeedRebuild
    touch $PCP_VAR_DIR/config/magic/.NeedUpdate
    chmod 644 $PCP_VAR_DIR/pmns/.NeedRebuild
    chmod 644 $PCP_VAR_DIR/config/magic/.NeedUpdate
    if [ ! -f $PCP_VAR_DIR/pmns/root ]
    then
    	if [ -f $PCP_VAR_DIR/pmns/root.saved ]
	then
	    # restore the previous pmns after upgrade
	    mv $PCP_VAR_DIR/pmns/root.saved $PCP_VAR_DIR/pmns/root
	else
	    # empty initial name space (prior to Rebuild)
	    echo "root {" >$PCP_VAR_DIR/pmns/root
	    echo "}" >>$PCP_VAR_DIR/pmns/root
	fi
	chmod 644 $PCP_VAR_DIR/pmns/root
    fi
fi
sbin/insserv etc/init.d/pcp 
exit 0

%triggerpostun -- pcp < 2.1.9
#
# Fix for bug where pcp-2.1.6 %postun script would chkconfig pcp off
# and remove the .NeedRebuild and .NeedUpdate files. This was done
# *after* the %post script of the new version, causing upgrade havoc.
#
if [ "$1" -gt 0 ]
then
    . /etc/pcp.env
    touch $PCP_VAR_DIR/pmns/.NeedRebuild
    touch $PCP_VAR_DIR/config/magic/.NeedUpdate
    chmod 644 $PCP_VAR_DIR/pmns/.NeedRebuild
    chmod 644 $PCP_VAR_DIR/config/magic/.NeedUpdate
fi
exit 0

%triggerun -- pcp < 2.2.0-18
#
# first half of fix for bug #825229 where upgrade
# clobbers $PCP_VAR_DIR/pmns/root
#
if [ "$1" -gt 0 ]
then
    . /etc/pcp.env
    if [ -f $PCP_VAR_DIR/pmns/root ]
    then
	cp $PCP_VAR_DIR/pmns/root $PCP_VAR_DIR/pmns/root.saved 
    fi
fi
exit 0

%triggerpostun -- pcp < 2.2.0-18
#
# second half of the fix for bug #825229
#
if [ "$1" -gt 0 ]
then
    . /etc/pcp.env
    if [ ! -f $PCP_VAR_DIR/pmns/root ]
    then
	if [ -f $PCP_VAR_DIR/pmns/root.saved ]
	then
	    mv $PCP_VAR_DIR/pmns/root.saved $PCP_VAR_DIR/pmns/root
	else
	    # empty initial name space (prior to Rebuild)
	    echo "root {" >$PCP_VAR_DIR/pmns/root
	    echo "}" >>$PCP_VAR_DIR/pmns/root
	fi
	chmod 644 $PCP_VAR_DIR/pmns/root
    fi
fi
exit 0

%changelog -n pcp
* Sun Nov 25 2001 - nashif@suse.de
- Fix problem with init script: Check for rc-variable earlier (Bug #12418)
- Changed escaped { to non escaped to stop awk from complaining
* Mon Jul 09 2001 - nashif@suse.de
- Update to version 2.2.1
- Fixed bug # 9068
* Thu Jun 07 2001 - nashif@suse.de
- fixed configure.in
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - nashif@suse.de
- added -fpic to fix compile error on ia64
* Fri Feb 09 2001 - nashif@suse.de
- Update headers
- Modified init scripts
* Sun Dec 03 2000 - nashif@suse.de
- Fixed %%post (exit before insserv)
- Added sub-package pcp-mysql
- Added mysql PMDA to monitor mysql sessions
* Thu Nov 30 2000 - nashif@suse.de
- Update to 2.2.11
* Wed Nov 29 2000 - ro@suse.de
- move rcscript to etc/init.d
* Sun Nov 26 2000 - nashif@suse.de
- Use insserv
* Mon Oct 30 2000 - nashif@suse.de
- Update to version 2.2.10
* Wed Sep 27 2000 - nashif@suse.de
- Update to 2.1.7
* Fri Jul 07 2000 - kukuk@suse.de
- Fix for SPARC
* Wed May 24 2000 - nashif@suse.de
- Initial Release (2.1.4)
